//--------------------------------------------------------------
// File     : stm32_ub_stemwin.h
//--------------------------------------------------------------

//--------------------------------------------------------------
#ifndef __STM32F4_UB_STEMWIN_H
#define __STM32F4_UB_STEMWIN_H


//--------------------------------------------------------------
// Includes
//--------------------------------------------------------------
#include "stm32f4xx.h"
#include "stm32f4xx_rcc.h"
#include "GUI.h"                      // die GUI.h wird IMMER bentigt
#include "stm32_ub_touch_ads7843.h"   // fr Touch-Funktionen
#include "stm32_ub_lcd_st7783.h"      // fr Display-Funktionen


//--------------------------------------------------------------
// sonstige includes von emWIN-Funktionen (je nach Bedarf)
//--------------------------------------------------------------
#include "BUTTON.h"


#define  UB_STEMWIN_TOUCH_DELAY   30   // 30ms


//--------------------------------------------------------------
// Globale Funktionen
//--------------------------------------------------------------
ErrorStatus UB_STemWIN_init(void);
void UB_STemWIN_updateTouch(void);


//--------------------------------------------------------------
#endif // __STM32F4_UB_STEMWIN_H
